<template lang="html">
<v-container>
<v-layout row wrap>
  <v-flex xs12>
      <v-btn color="info" @click="addStudent">New Student</v-btn>
  </v-flex>
      <v-flex xs12>
      <section class="student">
         <v-data-table
        :headers="headers"
        :items="students"
        class="elevation-1"
      >
      <template v-slot:items="props">
          <td class="text-xs-left">{{ props.item.mmuid }}</td>
          <td class="text-xs-left">{{ props.item.name }}</td>
          <td class="text-xs-left">{{ props.item.admissoin_year }}</td>
          <td class="text-xs-left">{{ props.item.nrc }}</td>
          <td class="text-xs-left">{{ props.item.phone_number }}</td>
          <td class="text-xs-left">{{ props.item.dob }}</td>
        </template>
      </v-data-table>
      </section>
  </v-flex>
</v-layout>
</v-container>
</template>

<script lang="js">
import studentService from '../services/students.js'
  export default  {
    name: 'student',
    props: [],
    mounted() {
       studentService.getAll().then((result)=>{
        this.students = result.data;
      })
    },
    data() {
      return {
        headers: [
          {
            text: 'mmuid',
            align: 'left',
            sortable: false,
            value: 'mmuid'
          },
           {
            text: 'name',
            align: 'left',
            sortable: false,
            value: 'name'
          },
           {
            text: 'admission_year',
            align: 'left',
            sortable: false,
            value: 'admissoin_year'
          },
          {
            text: 'nrc',
            align: 'left',
            sortable: false,
            value: 'nrc'
          },
           {
            text: 'phone_number',
            align: 'left',
            sortable: false,
            value: 'phone_number'
          },
          {
            text: 'date of birth',
            align: 'left',
            sortable: false,
            value: 'dob'
          }
        ],
      students: []
      }
    },
    methods: {
      addStudent() {
      this.$router.push({ name: 'newStudent'})
    }
    },
    computed: {

    }
}
</script>

<style scoped>
  .student {

  }
</style>
